Subject: [os2genau_digest] No. 1610
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 24 Feb 2008 00:00:39 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 23 February 2008
 Number  1610
**************************************************

Subjects for today
 
1  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Peter Moylan <peter at pmoylan dot org>
4  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform? : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Sat, 23 Feb 2008 13:05:01 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

On Tue, 19 Feb 2008 20:54:35 +1100, Peter Moylan wrote:

>On 19/02/08 19:12, Ian Manners wrote:
>
>> MS only seem to be as good as the rare developer they employ, like 
>> when the HPFS, HPFS386 driver was developed. Bugger knows why they 
>> didnt use something similiar for WinNT back then.
>
>They did! I was successfully using  HPFS with NT, and it worked
>perfectly well. Then they brought out a version of NT where the
>installer, if it found HPFS on any partition, would prompt with "OS/2
>detected. Delete?" If you passed that barrier, you got to one where it
>said "Unknown file system detected. Format this partition?" Even on that
>version, though, you could install the HPFS driver. I used to keep a
>copy of the driver (pinball.sys) on my FTP server, for the benefit of
>Windows people who wanted a better file system. It wasn't until the

Not quite. The issue here is that the NT pinball.sys driver was never
updated and maintained. Thus, it suffered from the low sector overright bug
that the earlier versions of HPFS did.

NTFS is far closer to JFS then HPFS, in that it is a journaled file system.

>post-NT versions of Windows that the HPFS driver would no longer work.
>(And even then, I suspect, it would have worked if the OS hadn't had a
>special check to see whether you were trying to install it.)
>
>Of course, that wasn't long after the time when NT was called "OS/2
>version 3". (Before it was released, admittedly.) That's why NT version
>numbering starts with version 3. The OS/2 components were stripped out
>only gradually.

I even saw a spreadsheet one day that had all of the OS/2 PM API's that
they had ported to enable OS/2 PM apps to run under NT. It was quite
extensive. However, to my knowledge, it was never released.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 23 Feb 2008 13:09:38 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

On Wed, 20 Feb 2008 10:12:16 +1030, Paul Smedley wrote:

>Hi Ed,
>
>On Wed, 20 Feb 2008 07:12:36 +1100
>  Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
>> The original poster referred to HPFS386 however and that 
>>never ran on any Windows platform as far as I know.
>
>Yes - but wasn't HPFS386 claimed to be written by MS - 
>hence the exhorbitant licensing fee on WS/WSEB for 
>HPFS386....

Huh?

HPFS was developed originally, by Gordin Letwin of microsoft (on one of his
holidays I believe).

HPFS386 is marketedly different, in that it offers local security, ACL's
and the ability to attach itself directly to the network via netbios, ie,
not having to bubble up and down through the kernel and other drivers to
service network based file requests.

The WSeB versions of TCPBEUI can do the same. They attach directly to the
network, implementing their own IP stack, and, oddly enough, thus do not
require TCPIP to be installed.

The problem with that is that it doesn't work on a multi-homed Ip address
box... :-(((

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 23 Feb 2008 14:38:01 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

On 23/02/08 13:05, Chris Graham [WarpSpeed] wrote:

> I even saw a spreadsheet one day that had all of the OS/2 PM API's that
> they had ported to enable OS/2 PM apps to run under NT. It was quite
> extensive. However, to my knowledge, it was never released.

Just imagine the advertising. "A worse OS/2 than OS/2."

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 23 Feb 2008 15:43:07 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Is Microsoft/Yahoo about Windows' failure as a top server platform?

Chris Graham [WarpSpeed] wrote:
> On Tue, 19 Feb 2008 20:54:35 +1100, Peter Moylan wrote:
>
>   
>> On 19/02/08 19:12, Ian Manners wrote:
>>
>>     
>>> MS only seem to be as good as the rare developer they employ, like 
>>> when the HPFS, HPFS386 driver was developed. Bugger knows why they 
>>> didnt use something similiar for WinNT back then.
>>>       
>> They did! I was successfully using  HPFS with NT, and it worked
>> perfectly well. Then they brought out a version of NT where the
>> installer, if it found HPFS on any partition, would prompt with "OS/2
>> detected. Delete?" If you passed that barrier, you got to one where it
>> said "Unknown file system detected. Format this partition?" Even on that
>> version, though, you could install the HPFS driver. I used to keep a
>> copy of the driver (pinball.sys) on my FTP server, for the benefit of
>> Windows people who wanted a better file system. It wasn't until the
>>     
>
> Not quite. The issue here is that the NT pinball.sys driver was never
> updated and maintained. Thus, it suffered from the low sector overright bug
> that the earlier versions of HPFS did.
>
> NTFS is far closer to JFS then HPFS, in that it is a journaled file system.
>
>   
Considering that IBM released the OS/2 JFS code so that it code be 
adapted to and used on Linux, I'm surprised no one has ported it to 
Windoze, but then again Microsoft would most likely then change 
something in the kernel to stop it from working !

Cheers/2

Ed.

----------------------------------------------------------------------------------